[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Hex2Dec64

Convert hexadecimal value to 64-bit integer

## Declaration

Source position: strutils.pp line 220

`function Hex2Dec64(`
`const S: string`
`):Int64;`

## Description

Hex2Dec64 converts the hexadecimal number in S to a 64-bit value and returns the result. It is equivalent to StrToInt('$'+S).

## See also

Hex2Dec |  | Converts a hexadecimal string to a decimal value